<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Teilnehmer\Bescheinigung;

class BescheinigungPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new BescheinigungView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new BescheinigungViewModel();
    $viewModel->kurs = $this->useCaseResponse->kurs;
    $viewModel->belegungen = $this->useCaseResponse->belegungen;

    return $viewModel;
  }
}